classification
Title: "make clean" should remove PGO task data
Type: enhancement Stage: resolved
Components: Build Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: dino.viehland, nascheme
Priority: normal Keywords: patch

Created on 2019-07-30 23:23 by nascheme, last changed 2019-09-30 20:47 by nascheme. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15033 merged nascheme, 2019-07-31 00:23
Messages (2)
msg348773 - (view) Author: Neil Schemenauer (nascheme) * (Python committer) Date: 2019-07-30 23:23
I find it annoying and surprising that "make clean" does not remove the PGO data.  If you change a source file, running "make clean" and "make" should result in a newly built executable, IMHO.  As it is now, you usually get a confusing build failure (PGO data is out of date).

The fix is fairly easy.  Make a new target that does what "clean" currently does.  Have the PGO build call that when it needs to preserve the PGO data.  Introduce a new "clean" target that does what the old clean did and also removes the PGO data.

Changing the build system is fraught with danger but I think this is a fairly safe change.  The current behavior is quite annoying, IMHO.
msg351602 - (view) Author: Dino Viehland (dino.viehland) * (Python committer) Date: 2019-09-10 09:44
New changeset c6bbcd258302b4b9b3d4f3c39bb5f7ff0120ec67 by Dino Viehland (Neil Schemenauer) in branch 'master':
bpo-37725: have "make clean" remove PGO task data (#15033)
https://github.com/python/cpython/commit/c6bbcd258302b4b9b3d4f3c39bb5f7ff0120ec67
History
Date User Action Args
2019-09-30 20:47:35naschemesetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-09-10 09:44:23dino.viehlandsetnosy: + dino.viehland
messages: + msg351602
2019-07-31 00:23:59naschemesetkeywords: + patch
pull_requests: + pull_request14790
2019-07-30 23:23:49naschemecreate